#!/usr/bin/make -f

export PYBUILD_NAME = membernator

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build

	# compile locales and remove unecessary files
	for po in locales/*/LC_MESSAGES/*.po; do \
		msgfmt -o $${po%.po}.mo $$po; \
	done
	find locales -type f -name *.po* -delete

override_dh_installman:
	mkdir debian/tmp
	rst2man docs/manpage.rst debian/tmp/membernator.1
	dh_installman debian/tmp/membernator.1
